pdf (file="cactus.pdf")
d=read.csv("times/joined",sep=" ",head=T)
f=dim(d)[2]
plot(subset(d,d[,1]<1000)[,1],pch=1,col=1,xlab="solved SAT competition 2014 application track instances (ordered by time)",ylab="time (sec)",main="")
points(subset(d,d[,f]<1000)[,f],pch=f,col=8)
for (c in (f-1):1) {
  points(subset(d,d[,c]<1000)[,c],pch=c,col=c)
}
legend(131,400,rev (names(d)),inset=.00,pch=f:1,col=rev(c(1:(f-1),8)))
dev.off ()
